libqmi 1.4.0-1 source package in Ubuntu

Changelog

libqmi (1.4.0-1) unstable; urgency=low


  [ Marius B. Kotsbak ]
  * New upstream stable release 1.4.0
    - Fixed DMS activation code string handling
    - Enhanced "start network" functionality in qmicli
    - dms: fix minimum version requirement for DMS Get/Set Operating Mode
    - nas: added 'Network Time' indication
    - utils: fix reading sized uints in BE systems
    - cli: add --dms-activate-manual
    - cli: implemented setting System Selection Preference
    - cli: fix technology preference persistence reporting
    - cli: fix reading new PIN in '--dms-uim-change-pin'
    - docs: always generate documentation at dist time
    - tests: fixed BE/LE tests in BE systems (Closes: #709655)
  * Drop patches applied upstream:
    - "qmi-codegen-clean-up-compiled-python-files_git_1822155"
    - "cli-all-sources-are-GPLv2_git_a5631ea"
  * Symbols for libqmi-glib0 updated
  * Change build-deps to Python 3
  * Updated control Vcs-* fields to point to the Alioth hosted project
  * Corrected debian/copyright: cli/* and libqmi-glib/test/* are GPL 2+.
    Changed packaging to GPL 2+ too, as LGPL does not make sense here.
  * Added help2man generating of manpages (new debian/rules target
    "generate_manpages:". Edited result for qmi-network as it lacked
    complete help. Workaround for upstream bgo #58755.
  * Change to new configure option "--enable-gtk-doc-html"
  * Updated upstream homepage reference to new page published
  * Remove ${misc:Pre-Depends} from libqmi-glib-dev,
      it is not containing any shared libs.
  * Remove meaningless "All rights reserved" from debian/copyright

 -- Marius B. Kotsbak <email address hidden>  Sat, 08 Jun 2013 18:53:23 +0200

Upload details

Uploaded by:
Marius B. Kotsbak on 2013-06-11
Uploaded to:
Sid
Original maintainer:
Marius B. Kotsbak
Architectures:
any all
Section:
misc
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Trusty release on 2014-01-20 main misc

Downloads

File Size SHA-256 Checksum
libqmi_1.4.0-1.dsc 1.6 KiB 7987e80fa160190a3c9170a0c96dbad8d4047fb19f7e018df482b9b19cddd633
libqmi_1.4.0.orig.tar.xz 578.8 KiB 812515c36fd77c5f7eb9d52804e9666c4341e8c7dd3d932ca1e607b467831af3
libqmi_1.4.0-1.debian.tar.gz 13.8 KiB 8b6f14b7bbc3d00734fc6493fd26333065dcaf2a52f4f6536db9afdb5b59abc8

Available diffs

No changes file available.

Binary packages built by this source

libqmi-glib-dev: No summary available for libqmi-glib-dev in ubuntu saucy.

No description available for libqmi-glib-dev in ubuntu saucy.

libqmi-glib-doc: No summary available for libqmi-glib-doc in ubuntu utopic.

No description available for libqmi-glib-doc in ubuntu utopic.

libqmi-glib0: No summary available for libqmi-glib0 in ubuntu saucy.

No description available for libqmi-glib0 in ubuntu saucy.

libqmi-glib0-dbg: Support library to use the Qualcomm MSM Interface (QMI) protocol

 This package contains detached debugging symbols.

libqmi-utils: Utilities to use the QMI protocol from the command line

 This package contains the utilities that make it easier to use QMI
 functionality from the command line.